Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Interface ConceptCache

All Superinterfaces:
  java.util.Map<aterm.ATermAppl,CachedNode>

All Known Implementing Classes:
  AbstractConceptCache, ConceptCacheLRU

    public interface ConceptCache

extends java.util.Map<aterm.ATermAppl,CachedNode>

Title: Concept Cache

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Ron Alford

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`int` | `getMaxSize()` Get the maximum number of non-primitive concepts allowed in the cache
`Bool` | `getSat(aterm.ATermAppl c)` Get the satisfiability status of a concept as a three-value boolean.
`boolean` | `putSat(aterm.ATermAppl c, boolean isSatisfiable)` Put an incomplete
`java.lang.Object` | `remove(aterm.ATermAppl c, boolean removeComplete)` Remove the cached model for this concept.
`void` | `setMaxSize(int maxSize)` Set the maximum number of non-primitive concepts allowed in the cache

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### getMaxSize

    int getMaxSize()

  Get the maximum number of non-primitive concepts allowed in the cache

  Returns:

### setMaxSize

    void setMaxSize(int maxSize)

  Set the maximum number of non-primitive concepts allowed in the cache

### getSat

    Bool getSat(aterm.ATermAppl c)

  Get the satisfiability status of a concept as a three-value boolean.

  Parameters:
    `c` -
  Returns:

### putSat

    boolean putSat(aterm.ATermAppl c,
                   boolean isSatisfiable)

  Put an incomplete

  Parameters:
    `c` -
    `isSatisfiable` -
  Returns:

### remove

    java.lang.Object remove(aterm.ATermAppl c,
                            boolean removeComplete)

  Remove the cached model for this concept.

  Parameters:
    `c` -
    `removeComplete` - If false only incomplete models will be removed
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.